PWDOG(4)

NAME
pwdog - Quancom PWDOG1 watchdog timer device

SYNOPSIS
pwdog0 at pci?

DESCRIPTION
The pwdog driver provides support for Quancom PWDOG1 boards.

If the kernel crashes, the watchdog timer is not reset and the system will reboot (assuming a proper connection is made between the PWDOG1 and the motherboard). Alternatively, the watchdog can be reinitialized via a userland process which ensures that process scheduling, not just kernel timeout processing, is still taking place.

The timeout period of the PWDOG1 card is set using DIP switches and cannot be changed by software.

SEE ALSO
intro(4), pci(4)

HISTORY
The pwdog driver first appeared in OpenBSD 4.1 and NetBSD 6.0.

AUTHORS
The pwdog driver was written by Marc Balmer <mbalmer@NetBSD.org>.